import { jsx } from "react/jsx-runtime";
import { TokenOETH as TokenOETH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOETH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OETH", "data-name": "TokenOETH", ...props, children: /* @__PURE__ */ jsx(TokenOETH$1, { variant }) });
  }
);
TokenOETH.displayName = "TokenOETH";
Object.assign(TokenOETH, { isGdsIcon: true });
export {
  TokenOETH
};
